extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Action Sheet React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Action Sheet React Component
      script(src="/js/motion/actionsheet.js")
      f7-motion-actionsheet(motion)

    p Action Sheet is a slide-up pane for presenting the user with a set of alternatives for how to proceed with a given task. You can also use action sheets to prompt the user to confirm a potentially dangerous action. The action sheet contains an optional title and one or more buttons, each of which corresponds to an action to take.
    p Action Sheet React component represents <a href="../docs/action-sheet.html">Action Sheet</a> component.
    h2 Action Sheet Components
    p There are following components included:
    ul
      li `Actions`  - action sheet element
      li `ActionsGroup`  - action sheet buttons group
      li `ActionsButton`  - action sheet button
      li `ActionsLabel`  - action sheet label
    h2 Action Sheet Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Actions&gt; properties
        tr
          td opened
          td boolean
          td false
          td Allows to open/close Action Sheet and set its initial state
        tr
          td grid
          td boolean
          td false
          td Enables grid buttons layout
        tr
          td convertToPopover
          td boolean
          td
          td When enabled, action sheet will be converted to Popover on large screens. By default inherits same app parameter value
        tr
          td forceToPopover
          td boolean
          td
          td When enabled, action sheet will be always converted to Popover. By default inherits same app parameter value
        tr
          td target
          td HTMLElement<br>string
          td
          td HTML element or string CSS selector of target element. Required when conversion to popover is in use
        tr
          td backdrop
          td boolean
          td
          td Enables action sheet backdrop (dark semi transparent layer behind). By default inherits same app parameter value (`true`)
        tr
          td backdropUnique
          td boolean
          td
          td If enabled it creates unique backdrop element exclusively for this modal
        tr
          td backdropEl
          td string<br>object
          td
          td HTML element or string CSS selector of custom backdrop element
        tr
          td closeByBackdropClick
          td boolean
          td true
          td When enabled, action sheet will be closed on backdrop click. By default inherits same app parameter value
        tr
          td closeByOutsideClick
          td boolean
          td false
          td When enabled, action sheet will be closed on when click outside of it. By default inherits same app parameter value
        tr
          td closeOnEscape
          td boolean
          td
          td When enabled, action sheet will be closed on ESC keyboard key press
        tr
          td animate
          td boolean
          td
          td Whether the modal should be opened/closed with animation or not
        tr
          td containerEl
          td HTMLElement<br>string
          td
          td Element to mount modal to (default to app root element)
        tr
          th(colspan="4") &lt;ActionsLabel&gt; properties
        tr
          td strong
          td boolean
          td false
          td Defines whether the label text is bold or not
        tr
          th(colspan="4") &lt;ActionsButton&gt; properties
        tr
          td strong
          td boolean
          td false
          td Defines whether the button text is bold or not
        tr
          td close
          td boolean
          td true
          td Should Action Sheet be closed on button click or not

    h2 Action Sheet Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Actions&gt; events
        tr
          td actionsOpen
          td Event will be triggered when Action Sheet starts its opening animation
        tr
          td actionsOpened
          td Event will be triggered after Action Sheet completes its opening animation
        tr
          td actionsClose
          td Event will be triggered when Action Sheet starts its closing animation
        tr
          td actionsClosed
          td Event will be triggered after Action Sheet completes its closing animation
    h2 Open And Close Action Sheet
    p In addition to Action Sheet open()/close() methods, you can open and close it:
    ul
      li using <a href="../docs/action-sheet.html">Action Sheet API</a>
      li by passing `true` or `false` to its `opened` prop

    h2 Examples
    +examplePreview('react', 'action-sheet.jsx', 'action-sheet')

